"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const register = (opts = {}) => {
    require('@babel/register')({
        presets: [
            ['@babel/preset-env', { useBuiltIns: 'usage', corejs: 3, modules: 'cjs', targets: { node: true } }],
            ['@babel/preset-typescript', {}],
        ],
        plugins: [['@babel/plugin-proposal-class-properties', {}]],
        extensions: ['.ts', '.js'],
        babelrc: false,
        cache: false,
        ...opts,
    });
};
exports.default = register;
